org.apache.solr.client.solrj.io.stream

## Class RegressionEvaluator.RegressionTuple

- java.lang.Object
- - org.apache.solr.client.solrj.io.Tuple
  - - org.apache.solr.client.solrj.io.stream.RegressionEvaluator.RegressionTuple

All Implemented Interfaces:
  Cloneable, MapSerializable, MapWriter

Enclosing class:
  RegressionEvaluator

    public static class RegressionEvaluator.RegressionTuple
    extends Tuple

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.Tuple

`EOF, EXCEPTION, fieldLabels, fieldNames, fields`

### Constructor Summary

Constructors
Constructor and Description
`RegressionTuple(org.apache.commons.math3.stat.regression.SimpleRegression simpleRegression, Map map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `predict(double d)`

### Methods inherited from class org.apache.solr.client.solrj.io.Tuple

`clone, get, getBool, getBools, getDate, getDates, getDouble, getDoubles, getException, getLong, getLongs, getMap, getMaps, getMetrics, getString, getStrings, merge, put, remove, setMaps, setMetrics, writeMap`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Constructor Detail

#### RegressionTuple

    public RegressionTuple(org.apache.commons.math3.stat.regression.SimpleRegression simpleRegression,
                           Map map)

### Method Detail

#### predict

    public double predict(double d)